package com.codigoparallevar.minicards.types;

import android.graphics.Canvas;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.List;

public interface Part extends Selectable, Moveable, Drawable {
    int getLeft();
    int getRight();
    int getTop();
    int getBottom();

    void touched();

    List<InputConnector> getInputConnectors();
    List<OutputConnector> getOutputConnectors();

    JSONObject serialize() throws JSONException;
}
